declare const metadata: {
    filterCompletionsAtPosition(fileName: string, position: number, _options: any, prior: ts.WithMetadata<ts.CompletionInfo>): import("typescript/lib/tsserverlibrary").WithMetadata<import("typescript/lib/tsserverlibrary").CompletionInfo>;
    getSemanticDiagnosticsForExportVariableStatement(fileName: string, node: ts.VariableStatement): {
        file: import("typescript/lib/tsserverlibrary").SourceFile | undefined;
        category: import("typescript/lib/tsserverlibrary").DiagnosticCategory;
        code: number;
        messageText: string | import("typescript/lib/tsserverlibrary").DiagnosticMessageChain;
        start: number | undefined;
        length: number | undefined;
    }[];
    getCompletionEntryDetails(fileName: string, position: number, entryName: string, formatOptions: ts.FormatCodeOptions, source: string, preferences: ts.UserPreferences, data: ts.CompletionEntryData): import("typescript/lib/tsserverlibrary").CompletionEntryDetails | undefined;
    getQuickInfoAtPosition(fileName: string, position: number): import("typescript/lib/tsserverlibrary").QuickInfo | undefined;
};
export default metadata;
